Doomsday Engine - Bug #1809

Postfx causes other splitscreen consoles to go black/white
2014-05-25 19:31 - skyjake

Status: Closed Start date: 2014-05-25
Priority: Low % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 1.15

Description

When postfx is being drawn, it has to be scissored to only affect the current console being drawn. Otherwise, a view grid with multiple
parallel consoles will not be drawn correctly.

This bug is only present when running with a viewgrid bigger than 1x1.

Related issues:
Related to Feature #1308: Splitscreen multiplayer Progressed  2003-11-01
Related to Feature #1685: [Doom] Inverted B&W palette for invulnerability Closed 2013-12-17

Associated revisions

Revision 2a6ab90a - 2014-12-08 20:06 - skyjake

Fixed|Renderer|FX: Post-processing causes splitscreen views to go blank
fx::PostProcessing and fx::Resize were overriding the viewport when
drawing the content back to the original target. Now they use the

original viewport and just scale the geometry accordingly.

IssuelD #1809

History

#1 - 2014-05-25 19:32 - skyjake
- Related to Feature #1308: Splitscreen multiplayer added

#2 - 2014-05-25 19:32 - skyjake
- Related to Feature #1685: [Doom] Inverted B&W palette for invulnerability added

#3 - 2014-05-25 19:34 - skyjake

I'm actually only 80% sure this is a scissoring issue.

#4 - 2014-12-03 16:36 - skyjake

- Priority changed from Normal to Low

Setting priority to "low" because split-screen multiplayer is not an official feature.

#5 - 2014-12-07 21:38 - skyjake

- Status changed from New to In Progress

#6 - 2014-12-08 19:36 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#7 - 2014-12-17 08:45 - skyjake

- Status changed from Resolved to Closed

2024-04-23 1/1



http://www.tcpdf.org

